Patch group
curl --request PATCH \
--url https://{tenant}.cubecloud.dev/api/scim/v2/Groups/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:PatchOp"
],
"Operations": [
{
"op": "add",
"path": "members",
"value": [
{
"value": "2819c223-7f76-453a-919d-413861904646"
}
]
}
]
}
'import requests
url = "https://{tenant}.cubecloud.dev/api/scim/v2/Groups/{id}"
payload = {
"schemas": ["urn:ietf:params:scim:api:messages:2.0:PatchOp"],
"Operations": [
{
"op": "add",
"path": "members",
"value": [{ "value": "2819c223-7f76-453a-919d-413861904646" }]
}
]
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
schemas: ['urn:ietf:params:scim:api:messages:2.0:PatchOp'],
Operations: [
{
op: 'add',
path: 'members',
value: [{value: '2819c223-7f76-453a-919d-413861904646'}]
}
]
})
};
fetch('https://{tenant}.cubecloud.dev/api/scim/v2/Groups/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"displayName": "<string>",
"schemas": [
"urn:ietf:params:scim:schemas:core:2.0:Group"
],
"id": "<string>",
"members": [
{
"value": "<string>",
"display": "<string>"
}
],
"meta": {
"resourceType": "<string>",
"created": "2023-11-07T05:31:56Z",
"lastModified": "2023-11-07T05:31:56Z",
"location": "<string>"
}
}{
"schemas": [
"urn:ietf:params:scim:api:messages:2.0:Error"
],
"status": "404",
"detail": "Resource not found."
}Groups
Patch group
Applies a partial update to a group using a SCIM PatchOp. Commonly used to add or remove members without resending the entire membership list.
PATCH
/
scim
/
v2
/
Groups
/
{id}
Patch group
Authorizations
SCIM bearer token issued from your Cube Cloud account settings.
Path Parameters
The unique SCIM identifier of the resource.
Body
application/json
⌘I